
SET PRINTBACK ON.

* work2.sav is a household survey that contains data on each household member.
* from personal level one can switch to household level by selecting household heads.
* hfbht0 (relationship to household head) is the filter variable.

GET FILE="work2.sav".

FREQUENCIES hfbht0.
* File contains 2272 individuals living in 1005 households.
* hfjobe0 is an income variable that is used to demonstrate the bug in RANK procedure.
RECODE hfjobe0 (sysmis, missing, -6, -7, 0 = 0) (else=copy).
EXECUTE.
* DESCRIPTIVES works.
TEMPORARY.
SELECT IF (hfbht0 = 1).
DESCRIPTIVES hfjobe0 /sta all.

* FINISH.
* RANK RETURNS ERROR. 
 TEMPORARY
SELECT IF (hfbht0 = 1).
RANK hfjobe0 /NTILES (10) into target.
VARIABLE LABELS target 'ranked on household level'.
FREQUENCIES target.

* pspp: src/data/variable.c:923: var_get_case_index: Assertion `var_has_vardict (v)' failed.
* proximate cause: Assertion Failure/Abort
